﻿/* General Stuff */

html {
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
}

body {
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
    margin: 0 0;
    padding: 0 0;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 18px;
    line-height: 167%;
    color: #FFFFFF;
    background-color: #202020;
}

#frmMaster {
    display: block;
    height: 100%;
    min-height: 100%;
    min-height: 100vh;
}

/* Header */

.header {
    padding: 15px 0;
    background-color: #000;
}

.header-logo {
    text-align: left;
}

.header-contact {
    font-family: 'Roboto', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 18px;
    font-weight: bold;
    color: #e3ff00;
    text-align: right;
}

    .header-contact .phone a, .header-contact .phone a:visited {
        color: #e3ff00;
    }

    .header-contact ul.header-contact-social {
        /* Setting the height and font-size fixes a display bug. */
        height: 32px;
        margin: 6px 0 0 0;
        font-size: 0px;
    }

        .header-contact ul.header-contact-social li {
            font-size: 32px;
            line-height: 100%;
        }

    .header-contact .social-media-icons,
    .header-contact .facebook:visited {
        font-weight: normal;
        color: #ffffff;
    }

        .header-contact .social-media-icons:hover {
            color: #ffffff;
        }

@media (max-width : 767px) {

    .header {
        padding: 15px 0 30px 0;
    }

    .header-logo {
        margin-bottom: 30px;
        text-align: center;
    }

    .header-contact {
        text-align: center;
    }
}

.btn.btn-send,
.btn.btn-send:visited {
    margin-top: 6px;
    font-size: 18px;
    font-weight: bold;
    line-height: 150%;
    color: #000;
    background-color: #f98c06;
    border-color: #f98c06;
}

    .btn.btn-send:hover {
        color: #000;
        background-color: #d07506;
        border-color: #d07506;
    }

.btn-primary, .btn-primary:visited {
    color: #000;
    background-color: #f98c06;
    border-color: #f98c06;
}

    .btn-primary:hover {
        color: #000;
        background-color: #d07506;
        border-color: #d07506;
    }

    /* Menu */
    .menu {
        position: relative;
        z-index: 999;
        padding-top: 6px;
        padding-bottom: 6px;
        font-family: 'Roboto', 'Helvetica Neue', Helvetica, Arial, sans-serif;
        /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#79c400+0,9cff00+100 */
        background: rgb(121,196,0); /* Old browsers */
        background: -moz-radial-gradient(center, ellipse cover, rgba(121,196,0,1) 0%, rgba(156,255,0,1) 100%); /* FF3.6-15 */
        background: -webkit-radial-gradient(center, ellipse cover, rgba(121,196,0,1) 0%,rgba(156,255,0,1) 100%); /* Chrome10-25,Safari5.1-6 */
        background: radial-gradient(ellipse at center, rgba(121,196,0,1) 0%,rgba(156,255,0,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#79c400', endColorstr='#9cff00',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
    }

@media (max-width : 767px) {

    .menu .container {
        margin: 0 0;
        padding: 0 0;
    }
}

@media (max-width : 767px) {

    .header .navbar {
        background-color: #293685;
    }

    .navbar-custom .navbar-nav a.nav-link {
        color: #000 !important;
        text-decoration: none;
    }

    .navbar-custom .dropdown-item a.nav-link {
        color: #293685 !important;
    }
}

.social-icons {
    padding-right: 0.75rem;
    font-size: 32px;
    line-height: 100%;
}

    .social-icons a,
    .social-icons a:visited {
        color: #FFFFFF;
    }

        .social-icons a:hover {
            color: #F8F8F8;
        }

    .social-icons ul,
    .social-icons ul li {
        margin-bottom: 0;
    }

.mobile-header {
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
    background-color: #ffffff;
}

/* Content Area */

.content {
    padding-top: 40px;
    padding-bottom: 40px;
    color: #000000;
    background-color: #ececec;
}

    .content h1,
    .content h2,
    .content h3,
    .content h4 {
        text-align: center;
        font-weight:bold;
        margin-bottom: 1.5rem;
        color: #000000;
    }

    .content h1 {
        margin-top: 0;
        font-size: 175%;
        line-height: 125%;
    }

    .content h2 {
        font-size: 150%;
        line-height: 150%;
    }

    .content h3 {
        margin-bottom: 0.75rem;
        font-size: 125%;
        line-height: 100%;
    }

    .content h4 {
        margin-bottom: 0.75rem;
        font-size: 100%;
        line-height: 100%;
    }

    .content .fa-ul {
    }

        .content .fa-ul .fa-li {
            padding-right: 5px;
        }

    .content p {
        margin-bottom: 1.5rem;
    }

    .content a,
    .content a:visited {
        color: #cb0000;
    }

        .content a:hover {
            color: #a10000;
            text-decoration: underline;
        }

    .content .title-alt {
        color: #000000 !important;
    }

    .content .photo {
        border: 1px solid #CCCCCC;
    }

.card {
    border-radius: 0 !important;
    box-shadow: rgba(0,0,0,0.1) 2px 2px ;
}

/**** Home Page ****/


.homepage .homepage-icons {
    display: inline-block;
    margin-left: -12px;
    margin-right: 8px;
    margin-bottom: 12px;
}

@media (min-width : 992px) And (max-width : 1199px) {

    .homepage h3 {
        font-size:100%;
    }
}


/******************/

/* Back To Top Button */

.back-to-top {
    z-index: 99999;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    -webkit-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.33);
    -moz-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.33);
    box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.33);
}

/* Photos W/No Spacing */

.photos-nogutters {
    padding-left: 0;
    padding-right: 0;
    border-bottom: 1px solid #404040;
    border-top: 1px solid #404040;
}

    .photos-nogutters .row,
    .photos-nogutters .col-4,
    .photos-nogutters .col-12 {
        margin-left: 0;
        margin-right: 0;
        padding-left: 0;
        padding-right: 0;
    }

    .photos-nogutters .img-fluid {
        min-width: 100%;
        height: auto;
    }


/************************/

.big-picture img {
    width: 100%;
    height: auto;
    border-bottom: 1px solid rgba(0,0,0,.125);
}


/********************************/

/* Gradient Section */

.content.gradient-bg {
    background-color: #44aa01;
    background-image: url('/Images/Layout/gradient-bg.jpg');
    background-position: center center;
    background-size: cover;
}

.content.gradient-bg {
    color: #000000;
}

    .content.gradient-bg h1,
    .content.gradient-bg h2,
    .content.gradient-bg h3,
    .content.gradient-bg h4 {
        color: #000000;
    }


.content.yellow-gradient-bg {
    background-color: #ff9400;
    background-image: url('/Images/Layout/yellow-gradient-bg.jpg');
    background-position: center center;
    background-size: cover;
}

.content.yellow-gradient-bg {
    color: #000000;
}

    .content.yellow-gradient-bg h1,
    .content.yellow-gradient-bg h2,
    .content.yellow-gradient-bg h3,
    .content.yellow-gradient-bg h4 {
        color: #000000;
    }

.content.snowflake-bg {
    background-color: #2c2c2c;
    background-image: url('/Images/Layout/snowflake-bg.jpg');
    background-position: center center;
    background-size: cover;
}

/******************************/

/* Dark Section */

.content.dark-bg {
    background-color: #2b2b2b;
}

.content.dark-bg {
    color: #000;
}

    .content.dark-bg h1,
    .content.dark-bg h2,
    .content.dark-bg h3,
    .content.dark-bg h4 {
        color: #000;
    }

/************************/


/************* Swiper ***************/

.swiper-wrapper .swiper-slide img {
    width: 100%;
}

.swiper-slide .slide-title {
    position: absolute;
    bottom: 60px;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    flex-direction: column;
    font-size: 200%;
    font-weight: bold;
    color: #FFFFFF;
    line-height: 150%;
    text-align: center;
}

    .swiper-slide .slide-title .slide-title-text {
        align-self: center;
        padding: 1rem 2rem;
        background-color: rgba(0, 0, 0, 0.66);
        -webkit-border-radius: 8px;
        -moz-border-radius: 8px;
        border-radius: 8px;
    }

.swiper-slide a .slide-title .slide-title-text:hover {
    background-color: #f0f0f0;
}

@media (max-width : 767px) {

    .swiper-container {
        border-bottom: 0px none;
        background-color: #FFFFFF;
    }

    .swiper-button-next,
    .swiper-button-prev {
        display: none;
    }

    .swiper-slide {
        display: flex;
        flex-direction: column-reverse;
    }

        .swiper-slide .slide-title {
            position: absolute;
            bottom: 0;
            background-color: rgba(0, 0, 0, 0.5);
        }

            .swiper-slide .slide-title .slide-title-text {
                margin-bottom: 0;
                padding: 12px 0;
                font-size: 14px;
                line-height: 25px;
                background-color: transparent;
                -webkit-border-radius: 0px;
                -moz-border-radius: 0px;
                border-radius: 0px;
            }

    .swiper-container .swiper-pagination {
        position: relative;
        top: 0;
        padding: 8px 0 0 0;
        background-color: #FFFFFF;
    }

    .swiper-pagination-bullet {
        width: 12px;
        height: 12px;
        background-color: #000000;
        opacity: 0.5;
    }

    .swiper-pagination-bullet-active {
        background-color: #000000;
        opacity: 0.9;
    }
}

/************************************************************/


/* Marquee */
.marquee-bg {
    position: relative;
    z-index: 999;
    border-bottom: 1px solid rgba(121,196,0,1);
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#79c400+0,9cff00+100 */
    background: rgb(121,196,0); /* Old browsers */
    background: -moz-radial-gradient(center, ellipse cover, rgba(121,196,0,1) 0%, rgba(156,255,0,1) 100%); /* FF3.6-15 */
    background: -webkit-radial-gradient(center, ellipse cover, rgba(121,196,0,1) 0%,rgba(156,255,0,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: radial-gradient(ellipse at center, rgba(121,196,0,1) 0%,rgba(156,255,0,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#79c400', endColorstr='#9cff00',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
}

.marquee-wrapper {
    overflow: hidden;
    width: 100%;
    height: 72px;
    margin-bottom: 16px;
}

.marquee {
    height: 72px;
    margin: 0 15px;
    font-size: 30px;
    font-weight: normal;
    color: #ffffff;
    line-height: 90px;
}

.marquee-background > .container {
    padding-left: 0;
    padding-right: 0;
}

    .marquee-background > .container > .row {
        margin-left: 0;
        margin-right: 0;
    }

        .marquee-background > .container > .row > .col-xs-12 {
            padding-left: 5px;
            padding-right: 5px;
        }

@media only screen and (max-width : 1024px) {

    .marquee-background .container {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
    }

    .marquee-background > .container > .row > .col-xs-12 {
        width: 100%;
    }
}

/* Footer */

.footer {
    padding-top: 40px;
    padding-bottom: 40px;
    color: #FFFFFF;
    background-color: #000;
}

    .footer h2 {
        margin-bottom: 4px;
        font-size: 125%;
        font-weight: bold;
        color: #FFFFFF;
    }

    .footer hr {
        margin-top: 0;
        margin-bottom: 0.75rem;
        border-color: #FFFFFF;
    }

    .footer a,
    .footer a:visited {
        color: #FFFFFF;
    }

        .footer a:hover {
            color: #FFFF00;
        }

    .footer .yellow {
        color: #feff9f;
    }


/* Contact Us Page */

.map {
    background-color: #DDDDDD;
}

    .map .container-fluid {
        padding: 0 0;
    }

    .map .row {
        margin: 0 0;
    }

    .map .col-12 {
        padding: 0 0;
    }

.embed-google-map {
    padding-bottom: 33%;
    border-top: 1px solid #CCCCCC;
    border-bottom: 1px solid #CCCCCC;
}

@media only screen and (max-width: 1200px) {

    .embed-google-map {
        padding-bottom: 42%;
    }
}

@media only screen and (max-width: 992px) {

    .embed-google-map {
        padding-bottom: 56%;
    }
}

@media only screen and (max-width: 768px) {

    .embed-google-map {
        padding-bottom: 75%;
    }
}


/* Multi-Column Lists */

.two-col-list {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
}

.three-col-list {
    columns: 3;
    -webkit-columns: 3;
    -moz-columns: 3;
}

.four-col-list {
    columns: 4;
    -webkit-columns: 4;
    -moz-columns: 4;
}

@media (max-width : 767px) {

    .two-col-list,
    .three-col-list,
    .four-col-list {
        columns: initial;
        -webkit-columns: initial;
        -moz-columns: initial;
    }
}

@media (min-width : 768px) And (max-width : 991px) {

    .two-col-list {
        columns: initial;
        -webkit-columns: initial;
        -moz-columns: initial;
    }

    .three-col-list,
    .four-col-list {
        columns: 2;
        -webkit-columns: 2;
        -moz-columns: 2;
    }
}

/* ********************************************************************************************* */
/* Fixes for IE 11 */
/* ********************************************************************************************* */

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {

    .two-col-list,
    .three-col-list,
    .four-col-list {
        margin-left: 0;
    }

        .two-col-list .fa-li,
        .three-col-list .fa-li,
        .four-col-list .fa-li {
            position: relative;
            display: inline-block;
            left: 0;
        }
}

@media (max-width : 767px) and (-ms-high-contrast: none), (-ms-high-contrast: active) {

    .two-col-list,
    .three-col-list,
    .four-col-list {
        columns: 1;
        -webkit-columns: 1;
        -moz-columns: 1;
    }
}

/* ********************************************************************************************* */
/* Fixes for Edge */
/* ********************************************************************************************* */

@supports (-ms-ime-align: auto) {

    .two-col-list,
    .three-col-list,
    .four-col-list {
        margin-left: 0;
    }

        .two-col-list .fa-li,
        .three-col-list .fa-li,
        .four-col-list .fa-li {
            position: relative;
            display: inline-block;
            left: 0;
        }
}
